# Create a DMFieldCollection Creates a DMFieldCollection from a multipart/form-data body containing the schema (JSON – the DMFieldCollection DTO) as a first part and the data (AVRO format) as second part. Fails if the specified DMFieldCollection already exists. The first part contains information about the schema of the Field Collenction to be created: - for DMDataSource - uniqueName - label* - fields - for DMT - name - label - fields* - owner – the ModeObject typedId that owns the table. \* fields is a list of the DMFields specification. The second part contains the table data in the AVRO format. The data schema must comply with the one given in the first part. An existing table will be overriden (deletes an existing one, creates a new one). >This is an endpoint dedicated for remote services (such as Optimization Engine or Python Engine). It is very strict by design in order to ensure that the uploaded data ends up exactly in the same format in the platform. Endpoint: POST /datamart.createfc/{fcType} Security: basic, X-PriceFx-jwt ## Path parameters: - `fcType` (string, required) The type of FC (FieldCollection) you want to create. Enum: "DMDS", "DMT" ## Request fields (multipart/form-data): - `fileName` (array, required) Two files are required – the schema in the JSON format and the data in the AVRO format. ## Response 200 fields